//////////////////////////////////////////////////////////////////////////////
//
// (C) Copyright Vicente J. Botet Escriba 2008. Distributed under the Boost
// Software License, Version 1.0. (See accompanying file
// LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
//
// See http://www.boost.org/libs/sync for documentation.
//
//////////////////////////////////////////////////////////////////////////////

#ifndef __BOOST_SYNC_NULL_SYNCHRONIZATION_FAMILY__HPP
#define __BOOST_SYNC_NULL_SYNCHRONIZATION_FAMILY__HPP

#include "boost/sync/null_mutex.hpp"
#include "boost/sync/null_condition.hpp"

namespace boost {
namespace sync {

//!Describes interprocess_mutex family to use with Sync frameworks 
//!based on null operation synchronization objects.
struct null_mutex_synchronization_family
{
   typedef boost::sync::null_mutex  mutex_type;
   typedef boost::sync::null_mutex  recursive_mutex_type;
   typedef boost::sync::null_mutex	timed_mutex_type;
   typedef boost::sync::null_mutex	recursive_timed_mutex_type;
   typedef boost::sync::null_mutex	shared_mutex_type;
   typedef boost::sync::null_condition   condition_type;
};

}
}

#endif
